MobileFrontend VisualEditor edit conflict detection does not work
Closed, ResolvedPublic8 Story Points

Description

Noticed while testing code for T110272

Krenair created this task.Sep 9 2015, 3:09 AM
Krenair updated the task description. (Show Details)
Krenair raised the priority of this task from to High.
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 3:09 AM

I tested this a few different times locally and on beta, with VE editing and source editing. And usually it half worked. :/

Observed MobileFrontend edit conflict behaviourlocalhostbeta
WikitextError shown as text at bottom of screenError shown as text at bottom of screen
VisualEditorAPI returns conflict, no UI error, stuckNo error shown, overwrites?
Krenair renamed this task from MobileFrontend edit conflict detection does not work to MobileFrontend VisualEditor edit conflict detection does not work.Sep 10 2015, 10:41 PM
Krenair edited projects, added VisualEditor-MediaWiki; removed Contributors-Team.
Krenair set Security to None.
Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 10 2015, 10:41 PM
Jdforrester-WMF edited a custom field.

Change 241249 had a related patch set uploaded (by Alex Monk):
Save dialog: Make review/resolve actions work in mobile

https://gerrit.wikimedia.org/r/241249

Krenair claimed this task.Sep 25 2015, 11:04 PM

Change 241250 merged by jenkins-bot:
Don't try to redirect to Special:MobileEditor on a POST request

https://gerrit.wikimedia.org/r/241250

Change 241249 merged by jenkins-bot:
Save dialog: Make review/resolve actions work in mobile

https://gerrit.wikimedia.org/r/241249

Observed VisualEditor edit conflict behaviourlocalhostbeta
DesktopNo error returned, overwritesNo error returned, overwrites
MobileErrors correctlyNo error returned, overwrites

Turns out that's probably due to being the last user to edit the page logged in, causing the conflict to be suppressed by EditPage.